%global srcname lazr.config
%global pkgname lazr-config
%global summary Create configuration schemas, and process and validate configurations
%global _description \
The LAZR config system is typically used to manage process configuration.      \
Process configuration is for saying how things change when we run systems on   \
different machines, or under different circumstances.                          \
\
This system uses ini-like file format of section, keys, and values. The config \
file supports inheritance to minimize duplication of information across files. \
The format supports schema validation.

Name:           python-%{pkgname}
Version:        2.1
Release:    1%{?dist}
Summary:        %{summary}

License:        LGPLv3
URL:            https://launchpad.net/lazr.config
Source0:        https://files.pythonhosted.org/packages/source/l/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-zope-interface
BuildRequires: python%{python3_pkgversion}-nose
BuildRequires: python%{python3_pkgversion}-lazr-delegates
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
BuildRequires: python%{python3_other_pkgversion}-zope-interface
BuildRequires: python%{python3_other_pkgversion}-nose
BuildRequires: python%{python3_other_pkgversion}-lazr-delegates
%endif

%description %{_description}

%package -n python%{python3_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-zope-interface
Requires:       python%{python3_pkgversion}-lazr-delegates

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}


%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary:        %{summary}
Requires:       python%{python3_other_pkgversion}-setuptools
Requires:       python%{python3_other_pkgversion}-zope-interface
Requires:       python%{python3_other_pkgversion}-lazr-delegates

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%autosetup -n %{srcname}-%{version}

sed -i -e '/^with-coverage/d;/^pdb /d;/^cover-package/d' setup.cfg


%build
%py3_build
%if 0%{?with_python3_other}
%endif


%install
%py3_install
%if 0%{?with_python3_other}
%py3_other_install
%endif


%check
rm lazr/__init__.py*
sed -i -e 's/^\(\s*namespace_packages=.*\)/#\1/' setup.py
%{__python3} setup.py nosetests
%if 0%{?with_python3_other}
%{__python3_other} setup.py nosetests
%endif

%files -n python%{python3_pkgversion}-%{pkgname}
%license COPYING.txt
%doc README.rst HACKING.rst
%{python3_sitelib}/lazr/
%{python3_sitelib}/%{srcname}-%{version}*-py%{python3_version}.egg-info/
%{python3_sitelib}/%{srcname}-%{version}*-py%{python3_version}-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license COPYING.txt
%doc README.rst HACKING.rst
%{python3_other_sitelib}/lazr/
%{python3_other_sitelib}/%{srcname}-%{version}*-py%{python3_other_version}.egg-info/
%{python3_other_sitelib}/%{srcname}-%{version}*-py%{python3_other_version}-nspkg.pth
%endif


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-1
- initial build
